summaryrefslogtreecommitdiff
path: root/.local/sbin/chtz
diff options
context:
space:
mode:
Diffstat (limited to '.local/sbin/chtz')
-rwxr-xr-x.local/sbin/chtz8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/sbin/chtz b/.local/sbin/chtz
new file mode 100755
index 0000000..413bf40
--- /dev/null
+++ b/.local/sbin/chtz
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+choice="`timedatectl list-timezones | grep './.' | osel`" \
+ && sudo timedatectl set-timezone "$choice" \
+ && notify-send -a "${0##*/}" -u normal 'Timezone changed' \
+ "The system timezone was changed to ‘$choice’."